Namespaces - Create Or Update
Membuat atau memperbarui namespace. Setelah dibuat, manifes sumber daya namespace ini tidak dapat diubah. Operasi ini idempotensi.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventHub/namespaces/{namespaceName}?api-version=2021-11-01
Parameter URI
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
namespace
|
path | True |
|
Nama Namespace |
|
resource
|
path | True |
|
Nama grup sumber daya dalam langganan azure. |
|
subscription
|
path | True |
|
Info masuk langganan yang secara unik mengidentifikasi langganan Microsoft Azure. ID langganan membentuk bagian dari URI untuk setiap panggilan layanan. |
|
api-version
|
query | True |
|
Versi API Klien. |
Isi Permintaan
| Name | Type | Description |
|---|---|---|
| identity.type |
Jenis identitas layanan terkelola. |
|
| identity.userAssignedIdentities |
|
Properti untuk Identitas yang Ditetapkan Pengguna |
| location |
|
Lokasi sumber daya. |
| properties.alternateName |
|
Nama alternatif ditentukan ketika nama alias dan namespace sama. |
| properties.clusterArmId |
|
ID ARM kluster namespace. |
| properties.disableLocalAuth |
|
Properti ini menonaktifkan autentikasi SAS untuk namespace Layanan Pusat Aktivitas. |
| properties.encryption.keySource |
Menghitung kemungkinan nilai keySource untuk Enkripsi |
|
| properties.encryption.keyVaultProperties |
Properti KeyVault |
|
| properties.encryption.requireInfrastructureEncryption |
|
Aktifkan Enkripsi Infrastruktur (Enkripsi Ganda) |
| properties.isAutoInflateEnabled |
|
Nilai yang menunjukkan apakah AutoInflate diaktifkan untuk namespace layanan eventhub. |
| properties.kafkaEnabled |
|
Nilai yang menunjukkan apakah Kafka diaktifkan untuk namespace layanan eventhub. |
| properties.maximumThroughputUnits |
|
Batas atas unit throughput saat AutoInflate diaktifkan, nilai harus berada dalam 0 hingga 20 unit throughput. ( '0' jika AutoInflateEnabled = true) |
| properties.privateEndpointConnections |
Daftar koneksi titik akhir privat. |
|
| properties.zoneRedundant |
|
Mengaktifkan properti ini membuat Namespace Layanan Azure Event Hubs Standar di wilayah yang mendukung zona ketersediaan. |
| sku |
Properti sumber daya sku |
|
| tags |
|
Tag sumber daya. |
Respons
| Name | Type | Description |
|---|---|---|
| 200 OK |
Namespace berhasil dibuat. |
|
| 201 Created |
Permintaan pembuatan namespace diterima. |
|
| 202 Accepted |
Permintaan pembuatan atau pembaruan namespace diterima. |
|
| Other Status Codes |
Respons kesalahan Eventhub yang menjelaskan mengapa operasi gagal. |
Keamanan
azure_auth
Azure Active Directory Flow OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
NamespaceCreate
Sample Request
PUT https://management.azure.com/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample?api-version=2021-11-01
{
"location": "East US",
"identity": {
"type": "SystemAssigned, UserAssigned",
"userAssignedIdentities": {
"/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1": {},
"/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2": {}
}
},
"properties": {
"encryption": {
"keyVaultProperties": [
{
"keyName": "Samplekey",
"keyVaultUri": "https://aprao-keyvault-user.vault-int.azure-int.net/",
"identity": {
"userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1"
}
}
],
"keySource": "Microsoft.KeyVault"
},
"clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test"
}
}
Sample Response
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 1
},
"id": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample",
"name": "NamespaceSample",
"type": "Microsoft.EventHub/Namespaces",
"location": "East US",
"tags": {},
"identity": {
"principalId": "PrincipalIdGUID",
"tenantId": "TenantIdGUID",
"type": "SystemAssigned, UserAssigned",
"userAssignedIdentities": {
"/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1": {
"clientId": "ClientIdGUID",
"principalId": "PrincipalIdGUID"
},
"/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2": {
"clientId": "6a35400f-6ccb-4817-8f1a-ce19ea4523bc",
"principalId": "ce2d5953-5c15-40ca-9d51-cc3f4a63b0f5"
}
}
},
"properties": {
"zoneRedundant": false,
"isAutoInflateEnabled": false,
"disableLocalAuth": false,
"maximumThroughputUnits": 0,
"encryption": {
"keySource": "Microsoft.KeyVault",
"keyVaultProperties": [
{
"keyName": "Samplekey",
"keyVaultUri": "https://sample-keyvault-user.vault-int.azure-int.net",
"keyVersion": "",
"identity": {
"userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1"
}
}
],
"requireInfrastructureEncryption": false
},
"clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
"kafkaEnabled": false,
"provisioningState": "Succeeded",
"metricId": "MetricGUID:NamespaceSample",
"createdAt": "2021-02-16T22:36:06.107Z",
"updatedAt": "2021-02-16T22:37:42.29Z",
"serviceBusEndpoint": "https://NamespaceSample.servicebus.windows-int.net:443/"
}
}
{
"sku": {
"name": "Standard",
"tier": "Standard",
"capacity": 1
},
"id": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/namespaces/NamespaceSample",
"name": "NamespaceSample",
"type": "Microsoft.EventHub/Namespaces",
"location": "East US",
"tags": {},
"identity": {
"principalId": "PrincipalIdGUID",
"tenantId": "TenantIdGUID",
"type": "SystemAssigned, UserAssigned",
"userAssignedIdentities": {
"/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1": {
"clientId": "ClientIdGUID",
"principalId": "PrincipalIdGUID"
},
"/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2": {
"clientId": "6a35400f-6ccb-4817-8f1a-ce19ea4523bc",
"principalId": "ce2d5953-5c15-40ca-9d51-cc3f4a63b0f5"
}
}
},
"properties": {
"zoneRedundant": false,
"isAutoInflateEnabled": false,
"disableLocalAuth": false,
"maximumThroughputUnits": 0,
"encryption": {
"keySource": "Microsoft.KeyVault",
"keyVaultProperties": [
{
"keyName": "Samplekey",
"keyVaultUri": "https://sample-keyvault-user.vault-int.azure-int.net",
"keyVersion": "",
"identity": {
"userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud1"
}
}
],
"requireInfrastructureEncryption": false
},
"clusterArmId": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.EventHub/clusters/enc-test",
"kafkaEnabled": false,
"provisioningState": "Succeeded",
"metricId": "MetricGUID:NamespaceSample",
"createdAt": "2021-02-16T22:36:06.107Z",
"updatedAt": "2021-02-16T22:37:42.29Z",
"serviceBusEndpoint": "https://NamespaceSample.servicebus.windows-int.net:443/"
}
}
Definisi
|
Connection |
Informasi ConnectionState. |
|
created |
Jenis identitas yang membuat sumber daya. |
| EHNamespace |
Item Namespace Tunggal dalam Daftar atau Dapatkan Operasi |
|
End |
Status penyediaan Koneksi Titik Akhir Privat. |
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Detail kesalahan. |
|
Error |
Respons kesalahan menunjukkan layanan Event Hub tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan. |
|
key |
Menghitung kemungkinan nilai keySource untuk Enkripsi |
|
Key |
Properti untuk mengonfigurasi Properti keyVault |
|
Managed |
Jenis identitas layanan terkelola. |
|
Private |
Informasi PrivateEndpoint. |
|
Private |
Properti PrivateEndpointConnection. |
|
Private |
Status koneksi. |
| Sku |
Parameter SKU yang diberikan ke operasi buat namespace layanan |
|
Sku |
Nama SKU ini. |
|
Sku |
Tingkat penagihan SKU khusus ini. |
|
system |
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya. |
|
User |
Nilai Kamus yang Dikenali. |
ConnectionState
Informasi ConnectionState.
| Name | Type | Description |
|---|---|---|
| description |
|
Deskripsi status koneksi. |
| status |
Status koneksi. |
createdByType
Jenis identitas yang membuat sumber daya.
| Name | Type | Description |
|---|---|---|
| Application |
|
|
| Key |
|
|
| ManagedIdentity |
|
|
| User |
|
EHNamespace
Item Namespace Tunggal dalam Daftar atau Dapatkan Operasi
| Name | Type | Default Value | Description |
|---|---|---|---|
| id |
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| identity.principalId |
|
ObjectId dari KeyVault |
|
| identity.tenantId |
|
TenantId dari KeyVault |
|
| identity.type |
Jenis identitas layanan terkelola. |
||
| identity.userAssignedIdentities |
|
Properti untuk Identitas yang Ditetapkan Pengguna |
|
| location |
|
Lokasi sumber daya. |
|
| name |
|
Nama sumber daya. |
|
| properties.alternateName |
|
Nama alternatif ditentukan ketika nama alias dan namespace sama. |
|
| properties.clusterArmId |
|
ID ARM kluster namespace. |
|
| properties.createdAt |
|
Waktu Namespace dibuat. |
|
| properties.disableLocalAuth |
|
Properti ini menonaktifkan autentikasi SAS untuk namespace layanan Azure Event Hubs. |
|
| properties.encryption.keySource | Microsoft.KeyVault |
Menghitung kemungkinan nilai keySource untuk Enkripsi |
|
| properties.encryption.keyVaultProperties |
Properti KeyVault |
||
| properties.encryption.requireInfrastructureEncryption |
|
Mengaktifkan Enkripsi Infrastruktur (Enkripsi Ganda) |
|
| properties.isAutoInflateEnabled |
|
Nilai yang menunjukkan apakah AutoInflate diaktifkan untuk namespace layanan eventhub. |
|
| properties.kafkaEnabled |
|
Nilai yang menunjukkan apakah Kafka diaktifkan untuk namespace layanan eventhub. |
|
| properties.maximumThroughputUnits |
|
Batas atas unit throughput saat AutoInflate diaktifkan, nilai harus berada dalam 0 hingga 20 unit throughput. ( '0' jika AutoInflateEnabled = true) |
|
| properties.metricId |
|
Pengidentifikasi untuk metrik Azure Insights. |
|
| properties.privateEndpointConnections |
Daftar koneksi titik akhir privat. |
||
| properties.provisioningState |
|
Status penyediaan Namespace. |
|
| properties.serviceBusEndpoint |
|
Titik akhir yang dapat Anda gunakan untuk melakukan operasi Bus Layanan. |
|
| properties.status |
|
Status of the Namespace. |
|
| properties.updatedAt |
|
Waktu Namespace diperbarui. |
|
| properties.zoneRedundant |
|
Mengaktifkan properti ini membuat Namespace Layanan Azure Event Hubs Standar di wilayah yang mendukung zona ketersediaan. |
|
| sku |
Properti sumber daya sku |
||
| systemData |
Data meta sistem yang berkaitan dengan sumber daya ini. |
||
| tags |
|
Tag sumber daya. |
|
| type |
|
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft. Storage/storageAccounts" |
EndPointProvisioningState
Status penyediaan Koneksi Titik Akhir Privat.
| Name | Type | Description |
|---|---|---|
| Canceled |
|
|
| Creating |
|
|
| Deleting |
|
|
| Failed |
|
|
| Succeeded |
|
|
| Updating |
|
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Name | Type | Description |
|---|---|---|
| info |
|
Info tambahan. |
| type |
|
Jenis info tambahan. |
ErrorDetail
Detail kesalahan.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
|
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
|
Pesan kesalahan. |
| target |
|
Target kesalahan. |
ErrorResponse
Respons kesalahan menunjukkan layanan Event Hub tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan.
| Name | Type | Description |
|---|---|---|
| error |
Objek kesalahan. |
keySource
Menghitung kemungkinan nilai keySource untuk Enkripsi
| Name | Type | Description |
|---|---|---|
| Microsoft.KeyVault |
|
KeyVaultProperties
Properti untuk mengonfigurasi Properti keyVault
| Name | Type | Description |
|---|---|---|
| identity.userAssignedIdentity |
|
ID ARM identitas pengguna dipilih untuk enkripsi |
| keyName |
|
Nama Kunci dari KeyVault |
| keyVaultUri |
|
Uri dari KeyVault |
| keyVersion |
|
Versi Kunci |
ManagedServiceIdentityType
Jenis identitas layanan terkelola.
| Name | Type | Description |
|---|---|---|
| None |
|
|
| SystemAssigned |
|
|
| SystemAssigned, UserAssigned |
|
|
| UserAssigned |
|
PrivateEndpoint
Informasi PrivateEndpoint.
| Name | Type | Description |
|---|---|---|
| id |
|
Pengidentifikasi ARM untuk Titik Akhir Privat. |
PrivateEndpointConnection
Properti PrivateEndpointConnection.
| Name | Type | Description |
|---|---|---|
| id |
|
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
|
Lokasi geografis tempat sumber daya berada |
| name |
|
Nama sumber daya. |
| properties.privateEndpoint |
Sumber daya Titik Akhir Privat untuk Koneksi ini. |
|
| properties.privateLinkServiceConnectionState |
Detail tentang status koneksi. |
|
| properties.provisioningState |
Status penyediaan Koneksi Titik Akhir Privat. |
|
| systemData |
Data meta sistem yang berkaitan dengan sumber daya ini. |
|
| type |
|
Jenis sumber daya. Misalnya, "Microsoft.EventHub/Namespaces" atau "Microsoft.EventHub/Namespaces/EventHubs" |
PrivateLinkConnectionStatus
Status koneksi.
| Name | Type | Description |
|---|---|---|
| Approved |
|
|
| Disconnected |
|
|
| Pending |
|
|
| Rejected |
|
Sku
Parameter SKU yang diberikan ke operasi buat namespace layanan
| Name | Type | Description |
|---|---|---|
| capacity |
|
Unit throughput Azure Event Hubs untuk tingkat Dasar atau Standar, di mana nilainya harus 0 hingga 20 unit throughput. Unit premium Azure Event Hubs untuk tingkat Premium, di mana nilainya harus 0 hingga 10 unit premium. |
| name |
Nama SKU ini. |
|
| tier |
Tingkat penagihan SKU khusus ini. |
SkuName
Nama SKU ini.
| Name | Type | Description |
|---|---|---|
| Basic |
|
|
| Premium |
|
|
| Standard |
|
SkuTier
Tingkat penagihan SKU khusus ini.
| Name | Type | Description |
|---|---|---|
| Basic |
|
|
| Premium |
|
|
| Standard |
|
systemData
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Name | Type | Description |
|---|---|---|
| createdAt |
|
Tanda waktu pembuatan sumber daya (UTC). |
| createdBy |
|
Identitas yang membuat sumber daya. |
| createdByType |
Jenis identitas yang membuat sumber daya. |
|
| lastModifiedAt |
|
Jenis identitas yang terakhir mengubah sumber daya. |
| lastModifiedBy |
|
Identitas yang terakhir memodifikasi sumber daya. |
| lastModifiedByType |
Jenis identitas yang terakhir mengubah sumber daya. |
UserAssignedIdentity
Nilai Kamus yang Dikenali.
| Name | Type | Description |
|---|---|---|
| clientId |
|
Id Klien identitas yang ditetapkan pengguna |
| principalId |
|
Id Utama identitas yang ditetapkan pengguna |